Subject: [Tigers] Opinion

From: [email-masked]
Date: Sat, 9 Aug 2014 10:30:11 -0400 (EDT)

Let's say you haven't done any serious maintenance on your car for  3-4 
years other than changing fluids, checking tire pressure, etc.    You get a 
chance to get your car on a lift for an hour.  What  would you spend your time 
doing under the car?  In other words what do you  think is often neglected 
although fairly simple?
Mark
_______________________________________________

[email-masked]

Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/tigers/[email-masked]